# Fxutils.js

Contains Fx.Height, Fx.Width, Fx.Opacity. Only useful if you really, really need to toggle those values, and toggling only works in STRICT DOCTYPE. See Fx.Style for a better alternative.

#### Dependencies

Moo.js, Function.js, Array.js, String.js, Element.js, Fx.js

#### Author

Valerio Proietti, http://mad4milk.net

#### License

MIT-style license.

Summary

Fxutils.js | Contains Fx.Height, Fx.Width, Fx.Opacity.
Fx. Height | Alters the height of an element.
Properties |
toggle | Toggles the height of an element from zero to it’s scrollHeight, and vice-versa.
show | Size the element to its full scrollHeight immediatly, without applying a transition.
Fx. Width | Same as Fx.Height, but uses Width.
Fx. Opacity | Same as Fx.Height, but uses Opacity.

## Fx. Height

Alters the height of an element. Extends Fx.Style (and consequentially Fx.Base), and inherits all its methods.

#### Arguments

el | the $(element) to apply the style transition to
options | the Fx.Base options (see: Fx.Base)

#### Example

>     var myEffect = new Fx.Height('myElementId', {duration: 500});
>     myEffect.toggle(); //will close the element if open, and vice-versa.

Summary

Properties |
toggle | Toggles the height of an element from zero to it’s scrollHeight, and vice-versa.
show | Size the element to its full scrollHeight immediatly, without applying a transition.

### Properties

### toggle

Toggles the height of an element from zero to it’s scrollHeight, and vice-versa.

### show

Size the element to its full scrollHeight immediatly, without applying a transition.

## Fx. Width

Same as Fx.Height, but uses Width. It always toggles from its initial width to zero, and vice versa.

## Fx. Opacity

Same as Fx.Height, but uses Opacity. It always toggles from opaque to transparent, and vice versa.

The Style effect; Extends <Fx.Base>, inherits all its properties.
My Object Oriented javascript.
Contains Function prototypes, utility functions and Chain.

> function $A( | array | )

Copy the array and returns it.
Same as Array.copy, but as function.
Contains Array prototypes and the function $A;
Contains String prototypes and Number prototypes.

> function $( | el | )

returns the element passed in with all the Element prototypes applied.
Contains useful Element prototypes, to be used with the dollar function $.
Applies visual transitions to any element.
Base class for the Mootools fx library.